X2Go Bug report logs - #235
x2goclient error messages regarding sshd are confusing

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Tue, 11 Jun 2013 09:18:01 UTC

Severity: minor

Tags: pending

Found in version 4.0.1.0

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#235; Package x2goclient. (Tue, 11 Jun 2013 09:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 11 Jun 2013 09:18:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2goclient error messages regarding sshd are confusing
Date: Tue, 11 Jun 2013 11:11:06 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.0
Severity: minor

X2goclient uses the same error dialog for three different (but related)
problems. The error message is the one about sshd not running
(printSshDError() in onmainwindow.cpp). The conditions are:

1. Unable to open host public key (line 7319)
2. Unable to open key for exports (line 7438)
3. Unable to open authorized_keys (line 7455)

These should have distinct error messages, that does not just claim that
sshd isn't running.

Also, the current message tells the user to install sshd with "apt-get
install openssh-server". While I am an Ubuntu user, this message most
definitely shouldn't be Debian/Ubuntu specific, since it is also given to
both Windows and Mac users, not to mention Linux users on different
distributions.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#235; Package x2goclient. (Fri, 14 Jun 2013 10:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Jun 2013 10:33:02 GMT) (full text, mbox, link).


Message #10 received at 235@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 235@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#235: x2goclient error messages regarding sshd are confusing
Date: Fri, 14 Jun 2013 12:19:04 +0200
[Message part 1 (text/plain, inline)]
Hi Anders,

On Di 11 Jun 2013 11:11:06 CEST Anders Bruun Olsen wrote:

> X2goclient uses the same error dialog for three different (but related)
> problems. The error message is the one about sshd not running
> (printSshDError() in onmainwindow.cpp). The conditions are:
>
> 1. Unable to open host public key (line 7319)
> 2. Unable to open key for exports (line 7438)
> 3. Unable to open authorized_keys (line 7455)
>
> These should have distinct error messages, that does not just claim that
> sshd isn't running.
>
> Also, the current message tells the user to install sshd with "apt-get
> install openssh-server". While I am an Ubuntu user, this message most
> definitely shouldn't be Debian/Ubuntu specific, since it is also given to
> both Windows and Mac users, not to mention Linux users on different
> distributions.

This one seems to be easily fixable. I will be happy about a patch for this.

Delegating the project work ;-)
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#235; Package x2goclient. (Sat, 28 Jun 2014 20:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 28 Jun 2014 20:45:02 GMT) (full text, mbox, link).


Message #15 received at 235@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 235-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 235@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sat, 28 Jun 2014 22:40:08 +0200 (CEST)
tag #235 pending
fixed #235 4.0.2.1
thanks

Hello,

X2Go issue #235 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=d386996

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d386996ca3b8b5b085a16d0208670ffb7fde7b3d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Jun 28 22:38:48 2014 +0200

    Provide more meaningful messages on SSH errors (host pub key not found, export pub key not found, authorized_keys file not found). For SSHd startup failures provide different messages on Windows and non-Windows machines. (Fixes: #235). FIXME: add detection code to report SSH daemon startup failures.

diff --git a/debian/changelog b/debian/changelog
index 75ed144..ff288f4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,11 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
       tray icon). (Fixes: #365).
     - Disallow server-side users to override X2Go Server commands via
       ~/bin (or similar). (Fixes: #336).
+    - Provide more meaningful messages on SSH errors (host pub key not
+      found, export pub key not found, authorized_keys file not found).
+      For SSHd startup failures provide different messages on Windows
+      and non-Windows machines. (Fixes: #235).
+      FIXME: add detection code to report SSH daemon startup failures.
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 28 Jun 2014 20:45:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 28 Jun 2014 20:45:02 GMT) (full text, mbox, link).


Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#235. (Sat, 28 Jun 2014 20:45:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#235; Package x2goclient. (Sat, 12 Jul 2014 06:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 06:45:02 GMT) (full text, mbox, link).


Message #27 received at 235@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 235-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 235@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sat, 12 Jul 2014 08:41:40 +0200 (CEST)
close #235
thanks

Hello,

we are very hopeful that X2Go issue #235 reported by you
has been resolved in the new release (4.0.2.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=6d9114eb5f414f34962f8b14f58e5d469acd1574;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.1-0x2go1
Status: RELEASE
Date: Fri, 11 Jul 2014 12:23:59 +0200
Fixes: 235 364 365 421 478 498 502 514 528
Changes: 
 x2goclient (4.0.2.1-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.2.1):
     - Fix FTBFS on arm64 (and others) architecture. (Fixes: #498).
     - Only show session name in notification bubbles with debugging
       enabled. (Fixes: #364).
     - New command line option (--keep-trayicon). With that options set,
       we force X2Go client to only use the default "accelerated X" as
       system tray icon (and prohibit usage of the session's icon as
       tray icon). (Fixes: #365).
     - Provide more meaningful messages on SSH errors (host pub key not
       found, export pub key not found, authorized_keys file not found).
       For SSHd startup failures provide different messages on Windows
       and non-Windows machines. (Fixes: #235).
       FIXME: add detection code to report SSH daemon startup failures.
     - Add new cmdline option --hide-foldersharing. If used, all GUI
       elements related to exporting client-side folders to X2Go sessions
       get hidden. (Fixes: #514).
     - Update COPYING file (to update FSF address).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 .
   [ Clemens Lang ]
   * New upstream version (4.0.2.1):
     - Re-add Info.plist file (which got removed by accident in commit 91cf6c6).
       (Fixes: #502).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.2.1):
     - Hide GSSAPI options on direct RDP connections. (Fixes: #478).
     - Search X-Server in /Applications/Utilities/XQuartz.app on Mac.
     - Wrong cmd line option throw error dialog if running not from terminal.
     - Add command line option "close-disconnect", which make client close after
       session is disconnected.
     - Don't start pulse on Windows, until we really have to start a session
       that requires pulse support.
     - Check if sound is activated before starting pulse.
     - Fix starting sshd on Win XP. (Fixes: #421).
     - Fix "fullscreen" mode on Windows 7 with multiple monitors.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):
     - Windows: Prevent high PulseAudio CPU usage on Windows XP by lowering
       PulseAudio's CPU priority from "high" to "normal" on XP specifically.
       Also do so on Windows Server 2003 (R2) (Fixes #526)
     - Windows: Enable PulseAudio log when --debug is passed.
     - Windows: Fix compatibility with current PulseAudio master branch
     - Windows: Reduce size of NSIS installer by switching to lzma solid compression
     - Windows: cygwin packages (inluding patched OpenSSH 6.6.1p1-3) updated from
       latest versions as of 2014-04-08 to latest versions as of 2014-06-09. This
       includes openssl 1.0.1h-1, which fixes the 6 CVEs announced on 2014-06-05.
       (Cygwin openssl was also individually updated to 1.0.1h-1 in
       4.0.2.0+build4.) This also includes migrating from libjpeg to
       libjpeg-turbo, which reduces CPU usage of nxproxy.)
     - Windows: Download and compile nx-libs-lite from the release tarball,
       rather than from git, so that the patches are actually applied
     - Windows: nx-libs-lite updated from 3.5.0.22 to 3.5.0.27
       (linked against aforementioned cygwin package versions)
     - Windows: Win32 OpenSSL updated from 1.0.1g to 1.0.1h, which fixes the 6
       CVEs announced on 2014-06-05.
       (Win32 OpenSSL was also updated to 1.0.1h in 4.0.2.0+build3.)
     - Windows: VcXsrv (XP Compatible) updated from 1.14.3.1 to 1.14.3.2.
       Fixes CVE-2014-0209, CVE-2014-0210, and CVE-2014-0211
       (VcXsrv was also updated to 1.14.3.2 in 4.0.2.0+build2.)
     - Windows: Switch from regular NSIS 2.46 to Unicode NSIS 2.46.5
       (Fixes: #528)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 12 Jul 2014 06:45:09 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Sat, 12 Jul 2014 06:45:09 GMT) (full text, mbox, link).


Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#235. (Sat, 12 Jul 2014 06:45:15 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 10 Aug 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Nov 18 12:02:38 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.